Bug 1272503 - (CVE-2015-7542) CVE-2015-7542 gwenhywfar: use system ca-certificates
CVE-2015-7542 gwenhywfar: use system ca-certificates
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All All
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,cvss2=4.0/AV:N/AC:H/A...
: Security
Depends On: 1289264 1289265
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 11:03 EDT by Yaakov Selkowitz
Modified: 2016-06-29 13:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-29 13:59:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for rawhide (1.85 KB, patch)
2015-10-16 11:05 EDT, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Yaakov Selkowitz 2015-10-16 11:03:17 EDT
gwenhywfar (all versions of Fedora and EPEL) uses an old bundled ca-certificates (version 1.87).  The attached patch for rawhide fixes this; scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=11475516 (F22)

Note that gwenhywfar does not currently build in F23 and rawhide due to bug 1239551 (gnutls-3.4 API changes).
Comment 1 Yaakov Selkowitz 2015-10-16 11:05 EDT
Created attachment 1083727 [details]
Patch for rawhide
Comment 2 Yaakov Selkowitz 2015-10-16 12:07:25 EDT
Looking further into this package for bug 1239551, there is actually code to handle a system ca-certificates but it is #if 0'd.  So we could instead enable that code and just remove the file without providing a symlink (FWIW).
Comment 3 Kurt Seifried 2015-12-07 14:12:16 EST
Created gwenhywfar tracking bugs for this issue:

Affects: epel-all [bug 1289264]
Comment 4 Kurt Seifried 2015-12-07 14:12:33 EST
Created gwenhywfar tracking bugs for this issue:

Affects: fedora-all [bug 1289265]
Comment 5 Fedora Update System 2015-12-28 17:59:06 EST
gwenhywfar-4.13.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-12-28 18:53:47 EST
gwenhywfar-4.13.1-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-12-30 12:56:37 EST
gwenhywfar-4.13.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-12-30 13:03:49 EST
gwenhywfar-4.13.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Yaakov Selkowitz 2016-06-29 12:38:12 EDT
Package has been fixed in both Fedora and EPEL.  Can this be closed now?
Comment 10 Kurt Seifried 2016-06-29 13:59:27 EDT
(In reply to Yaakov Selkowitz from comment #9)
> Package has been fixed in both Fedora and EPEL.  Can this be closed now?

Yes.

Note You need to log in before you can comment on or make changes to this bug.